package com.zjugis.nature.gis.exception;

/**
 * @Author 陈俊
 * @Date 2022/3/15 9:39
 * @Version 1.0
 */

/** 这里继承RuntimeException异常 **/
public class BusinessException extends RuntimeException {
    private static final long serialVersionUID = 2332608236621015980L;
    private String type = "B-";
    private Object[] msgArgs;
    /** 用于存放后端返回的数据 **/
    private Object data;

    public BusinessException(Throwable cause) {
        super(cause);
    }

    public BusinessException(String message) {
        super(message);
    }

    public BusinessException(String message, Throwable cause) {
        super(message, cause);
    }


    public Object[] getMsgArgs() {
        return this.msgArgs;
    }

    public void setMsgArgs(Object[] msgArgs) {
        this.msgArgs = msgArgs;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Object getData() {
        return this.data;
    }

    public void setData(Object data) {
        this.data = data;
    }
}
