package com.zjugis.nature.gis.mdb;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;

import javax.validation.constraints.NotEmpty;

/**
 * @Author 陈俊
 * @Date 2023/8/3 14:56
 * @Version 1.0
 */
public class MdbBaseDTO {

    @JSONField(name = "SHAPE_GEOMETRY")
    @NotEmpty(message = "图形属性不能为空")
    private JSONObject shapeGeometry;

    @JSONField(serialize = false , deserialize = false)
    private String shape;

    @JSONField(name = "OBJECTID")
    private Integer objectId;

    public JSONObject getShapeGeometry() {
        return shapeGeometry;
    }

    public void setShapeGeometry(JSONObject shapeGeometry) {
        this.shapeGeometry = shapeGeometry;
    }

    public String getShape() {
        return shape;
    }

    public void setShape(String shape) {
        this.shape = shape;
    }

    public Integer getObjectId() {
        return objectId;
    }

    public void setObjectId(Integer objectId) {
        this.objectId = objectId;
    }
}
